<?php
require_once "../controladores/usuario.controlador.php";
require_once "../modelos/usuario.modelo.php";

class ajaxUsuario{
    public $cod_usuario; 
    public $usu_nombre; 
    public $usu_clave; 
    public $usu_estado; 
    public $cod_tipousuario; 
    public $usu_foto;
    
    public function ajaxValidarUsuario(){

        $asistenciaAlu = UsuarioControlador::ctrValidarUsuario($this->usu_nombre, $this->usu_clave);
          
        echo json_encode($asistenciaAlu);
       
    }

}

if (isset($_POST['accion']) && $_POST['accion']==1){ //parametro para validar login
    $validaUser = new ajaxUsuario();

    $validaUser -> usu_nombre =$_POST["USER"];
    $validaUser -> usu_clave = $_POST["PASS"];
    $validaUser ->ajaxValidarUsuario();
    
}